=== po/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = po
include $(depth)/Makefile.inc

dist_files = Makefile $(wildcard *.po *.mo *.pot)

LANGUAGES=no de it fr

all:
	# .po -> .mo
	for lang in $(LANGUAGES); do \
	  msgfmt $$lang.po -o $$lang.mo; \
	  msgfmt $(PACKAGE)-intervallnames-$$lang.po -o $(PACKAGE)-intervallnames-$$lang.mo; \
	done
	$(MAKE) run-from-srcdir

po-update: all # solfege.po -> .po
	for lang in $(LANGUAGES); do \
	  cp $$lang.po tmpfile; \
	  msgmerge tmpfile $(PACKAGE).po > $$lang.po; \
	  cp $(PACKAGE)-intervallnames-$$lang.po tmpfile;\
	  msgmerge tmpfile $(PACKAGE)-intervallnames.pot > $(PACKAGE)-intervallnames-$$lang.po; \
	done
	rm tmpfile

run-from-srcdir:
	# we to this just to make life simpler when running from source dir
	for lang in $(LANGUAGES); do \
	  mkdir $(depth)/share/locale/$$lang/LC_MESSAGES -p; \
	  cp $$lang.mo $(depth)/share/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  cp $(PACKAGE)-intervallnames-$$lang.mo $(depth)/share/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

install: mkinstalldirs
	for lang in $(LANGUAGES); do \
	  $(INSTALL_DATA) $$lang.mo $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  $(INSTALL_DATA) $(PACKAGE)-intervallnames-$$lang.mo $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

uninstall:
	for lang in $(LANGUAGES); do \
	  rm -f $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  rm -f $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

mkinstalldirs:
	for lang in $(LANGUAGES); do \
	  mkdir -p $(datadir)/locale/$$lang/LC_MESSAGES; \
	done

clean:
	rm -f *.mo *~

distclean: clean
